Skip to main content
`Ctrl`+`K`

# KSPGuessRegisterAll

Registers all `KSPGuess` implementations in the `KSP` package.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessRegisterAll(void)

Not Collective

## See Also

KSP: Linear System Solvers, `KSPGuess`, `KSPRegisterAll()`, `KSPInitializePackage()`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages